Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1533929 - Review Request: libkcapi - User space interface to the Linux Kernel Crypto API
Review Request: libkcapi - User space interface to the Linux Kernel Crypto API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
: 1396819 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-12 09:56 EST by Björn 'besser82' Esser
Modified: 2018-01-26 13:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-26 12:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn 'besser82' Esser 2018-01-12 09:56:15 EST
Description:

  libkcapi allows user-space to access the Linux kernel crypto API.

  This library uses the netlink interface and exports easy to use APIs
  so that a developer does not need to consider the low-level netlink
  interface handling.

  The library does not implement any cipher algorithms.  All consumer
  requests are sent to the kernel for processing.  Results from the
  kernel crypto API are returned to the consumer via the library API.

  The kernel interface and therefore this library can be used by
  unprivileged processes.


Issues:

  fedora-review shows no obvious issues.


FAS-User:

  besser82


Urls:

  TBA


Additional information:

  I'm taking over this review as suggested by the original reporter.
  See:  https://bugzilla.redhat.com/show_bug.cgi?id=1396819#c12

  (In reply to Zbigniew Jędrzejewski-Szmek from comment #12)
  > Hmm, I wanted to package libkcapi as a dependency for another project, but
  > the direction shifted. I won't have time for this in the near future, so if
  > somebody wants to take over, feel free.


Thanks for review in advance!
Comment 1 Björn 'besser82' Esser 2018-01-12 09:56:36 EST
*** Bug 1396819 has been marked as a duplicate of this bug. ***
Comment 5 Björn 'besser82' Esser 2018-01-13 04:49:05 EST
Updated package:

  - Move libraries to /%%{_lib} instead of %%{_libdir}, which is useful
    during boot when the library might be needed before a potentially
    seperate /usr partition is mounted


Scratch builds:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=24168671
  fc27:     https://koji.fedoraproject.org/koji/taskinfo?taskID=24168673
  fc26:     https://koji.fedoraproject.org/koji/taskinfo?taskID=24168681


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/libkcapi.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/libkcapi-1.0.3-0.3.fc28.src.rpm
Comment 10 Björn 'besser82' Esser 2018-01-14 08:22:18 EST
Updated package:

  - Move the kcapi-hasher binary to -replacements package, since it is
    not of much use without the linked invocation names and saves the
    extra Requires on the -tools package


Scratch builds:

  Rawhide:  https://koji.fedoraproject.org/koji/taskinfo?taskID=24193416
  fc27:     https://koji.fedoraproject.org/koji/taskinfo?taskID=24193424
  fc26:     https://koji.fedoraproject.org/koji/taskinfo?taskID=24193433


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/libkcapi.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/libkcapi-1.0.3-0.8.fc28.src.rpm
Comment 11 Robert-André Mauchin 2018-01-14 16:34:08 EST
As anticipated, the subpackage replacements conflicts with coreutils:

DEBUG util.py:479:  Error: Transaction check error:
DEBUG util.py:479:    file /usr/bin/md5sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64
DEBUG util.py:479:    file /usr/bin/sha1sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64
DEBUG util.py:479:    file /usr/bin/sha224sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64
DEBUG util.py:479:    file /usr/bin/sha256sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64
DEBUG util.py:479:    file /usr/bin/sha384sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64
DEBUG util.py:479:    file /usr/bin/sha512sum from install of libkcapi-replacements-1.0.3-0.8.fc28.x86_64 conflicts with file from package coreutils-8.29-1.fc28.x86_64

Also what is the purpose of all these hidden hmac files dropped into /usr/bin?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "*No copyright* GPL (v2 or later) (with incorrect FSF
     address)", "Unknown or generated", "BSD (3 clause) GPL", "*No
     copyright* BSD (3 clause)", "*No copyright* BSD (unspecified)", "BSD
     (unspecified)", "FSF All Permissive". 54 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/libkcapi
     /review-libkcapi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: libkcapi-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libkcapi-static
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: # binaries. %%define with lazy
     globbing is used here, %define __spec_install_post
     %{?__debug_package:%{__debug_install_post}} %{__arch_install_post}
     %{__os_install_post} %{_bindir}/fipshmac %{buildroot}%{_bindir}/*
     %{_sbindir}/hardlink -cfv %{buildroot}%{_bindir} %{_bindir}/fipshmac
     %{buildroot}/%{_lib}/libkcapi.so.%{version} %{__ln_s}
     .libkcapi.so.%{version}.hmac
     \\%{buildroot}/%{_lib}/.libkcapi.so.%{vmajor}.hmac %{nil}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.8 starting (python version = 3.6.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled HW Info plugin
Mock Version: 1.4.8
INFO: Mock Version: 1.4.8
Finish: chroot init
INFO: installing package(s): /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-static-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-tools-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-doc-1.0.3-0.8.fc28.noarch.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-replacements-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-tools-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-replacements-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-devel-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-debugsource-1.0.3-0.8.fc28.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/f28-candidate-x86_64/root/ --disableplugin=local --setopt=deltarpm=False install /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-static-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-tools-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-doc-1.0.3-0.8.fc28.noarch.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-replacements-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-debuginfo-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-tools-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-replacements-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-devel-1.0.3-0.8.fc28.x86_64.rpm /home/bob/packaging/review/libkcapi/review-libkcapi/results/libkcapi-debugsource-1.0.3-0.8.fc28.x86_64.rpm



Rpmlint
-------
Checking: libkcapi-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-devel-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-doc-1.0.3-0.8.fc28.noarch.rpm
          libkcapi-replacements-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-static-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-tools-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-debuginfo-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-debugsource-1.0.3-0.8.fc28.x86_64.rpm
          libkcapi-1.0.3-0.8.fc28.src.rpm
libkcapi.x86_64: W: spelling-error %description -l en_US netlink -> net link, net-link, linnet
libkcapi.x86_64: W: only-non-binary-in-usr-lib
libkcapi.x86_64: W: hidden-file-or-dir /lib64/.libkcapi.so.1.0.3.hmac
libkcapi.x86_64: W: hidden-file-or-dir /lib64/.libkcapi.so.1.hmac
libkcapi-devel.x86_64: W: only-non-binary-in-usr-lib
libkcapi-replacements.x86_64: W: spelling-error %description -l en_US sha -> aha, sh, ha
libkcapi-replacements.x86_64: W: spelling-error %description -l en_US coreutils -> correctives
libkcapi-replacements.x86_64: W: spelling-error %description -l en_US hmac -> mac, mach, h mac
libkcapi-replacements.x86_64: W: spelling-error %description -l en_US hmaccalc -> Malacca
libkcapi-replacements.x86_64: W: only-non-binary-in-usr-lib
libkcapi-replacements.x86_64: W: no-documentation
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.fipscheck.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.fipscheck.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.fipscheck.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.fipscheck.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.fipshmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.fipshmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.fipshmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.fipshmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-hasher.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-hasher.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.kcapi-hasher.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.kcapi-hasher.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.md5sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.md5sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.md5sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.md5sum.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha1hmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha1hmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha1hmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha1hmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha1sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha1sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha1sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha1sum.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha224hmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha224hmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha224hmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha224hmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha224sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha224sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha224sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha224sum.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha256hmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha256hmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha256hmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha256hmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha256sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha256sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha256sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha256sum.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha384hmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha384hmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha384hmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha384hmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha384sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha384sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha384sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha384sum.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha512hmac.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha512hmac.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha512hmac.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha512hmac.hmac 644 None 
libkcapi-replacements.x86_64: W: hidden-file-or-dir /usr/bin/.sha512sum.hmac
libkcapi-replacements.x86_64: W: non-executable-in-bin /usr/bin/.sha512sum.hmac 644
libkcapi-replacements.x86_64: E: script-without-shebang /usr/bin/.sha512sum.hmac
libkcapi-replacements.x86_64: E: non-executable-script /usr/bin/.sha512sum.hmac 644 None 
libkcapi-replacements.x86_64: W: no-manual-page-for-binary fipscheck
libkcapi-replacements.x86_64: W: no-manual-page-for-binary fipshmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary kcapi-hasher
libkcapi-replacements.x86_64: W: no-manual-page-for-binary md5sum
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha1hmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha1sum
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha224hmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha224sum
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha256hmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha256sum
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha384hmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha384sum
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha512hmac
libkcapi-replacements.x86_64: W: no-manual-page-for-binary sha512sum
libkcapi-static.x86_64: W: no-documentation
libkcapi-tools.x86_64: W: only-non-binary-in-usr-lib
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-convenience.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-convenience.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-convenience.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-convenience.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-dgst.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-dgst.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-dgst.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-dgst.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-enc-test-large.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-enc-test-large.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-enc-test-large.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-enc-test-large.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-enc.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-enc.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-enc.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-enc.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-rng.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-rng.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-rng.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-rng.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi-speed.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi-speed.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi-speed.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi-speed.hmac 644 None 
libkcapi-tools.x86_64: W: hidden-file-or-dir /usr/bin/.kcapi.hmac
libkcapi-tools.x86_64: W: non-executable-in-bin /usr/bin/.kcapi.hmac 644
libkcapi-tools.x86_64: E: script-without-shebang /usr/bin/.kcapi.hmac
libkcapi-tools.x86_64: E: non-executable-script /usr/bin/.kcapi.hmac 644 None 
libkcapi-tools.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/98/ae2caec0896ed0561bf4fc4393eaa79e1bac47.2 ../../../../usr/bin/kcapi-hasher
libkcapi-tools.x86_64: W: no-manual-page-for-binary kcapi
libkcapi-tools.x86_64: W: no-manual-page-for-binary kcapi-convenience
libkcapi-tools.x86_64: W: no-manual-page-for-binary kcapi-enc-test-large
libkcapi-tools.x86_64: W: no-manual-page-for-binary kcapi-speed
libkcapi-debugsource.x86_64: W: no-documentation
libkcapi.src: W: spelling-error %description -l en_US netlink -> net link, net-link, linnet
9 packages and 0 specfiles checked; 42 errors, 76 warnings.
Comment 12 Björn 'besser82' Esser 2018-01-14 18:25:09 EST
(In reply to Robert-André Mauchin from comment #11)
> As anticipated, the subpackage replacements conflicts with coreutils:

Allrighty, I'll disable it for now and until I could get an agreement with the maintainer of coreutils…

 
> Also what is the purpose of all these hidden hmac files dropped into
> /usr/bin?

Those hidden hmac files are used by `fipscheck` to do some basic integrity check on the binaries:

```
fipscheck will perform a FIPS-140-2 validation of a file using a stored checksum of a file. The file containing the checksum value will be searched for in the same directory as the file which is being checksummed.

The checksum file must have '.' prepended and '.hmac' appended to the original file name.
```
Comment 15 Robert-André Mauchin 2018-01-15 05:54:05 EST
Seems ok for me, package approved.
Comment 16 Gwyn Ciesla 2018-01-15 17:16:05 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libkcapi. You may commit to the branch "f27" in about 10 minutes.
Comment 17 Fedora Update System 2018-01-16 15:23:28 EST
libkcapi-1.0.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f6e43d389
Comment 18 Fedora Update System 2018-01-16 15:23:39 EST
libkcapi-1.0.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f21b93a29d
Comment 19 Fedora Update System 2018-01-17 20:16:47 EST
libkcapi-1.0.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f21b93a29d
Comment 20 Fedora Update System 2018-01-17 21:10:00 EST
libkcapi-1.0.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f6e43d389
Comment 21 Fedora Update System 2018-01-26 12:55:49 EST
libkcapi-1.0.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2018-01-26 13:09:35 EST
libkcapi-1.0.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.